package com.example.sjkbf.service;

import com.example.sjkbf.entity.UserServerProject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  用户服务器插件 服务类
 * </p>
 *
 * @author bozhiqiang
 * @since 2025-04-19
 */
public interface UserServerProjectService extends IService<UserServerProject> {


    /**
     * 给服务器添加或延长插件时间
     * @param ip 服务器ip
     * @param projectName 插件名字
     * @param time 时间
     * @param userName 用户名
     */
    void addpro(String ip,String projectName,int time,String userName);

    /**
     * 查询此服务器下的插件列表
     */
    List<UserServerProject> getpro(String ip);


    /**
     * 查询这个服务器下开启的插件列表
     * @param ip
     * @return
     */
    List<UserServerProject> getproAndOpen(String ip);

    /**
     * 查询这个服务器下的插件
     * @param serverIp
     * @param projectName
     * @return
     */
    UserServerProject getByIPAndName(String serverIp, String projectName);

    /**
     * 查询这个账号下的所有插件
     */
    List<UserServerProject> getByUserName(String userName);

    String setproOpen(String ip, String projectName, String open, String userName);


}
